resources:
  App\Entity\Advert\AdvertImage:
    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'advert_image.order_filter', 'advert_image.search_filter', 'advert_image.exist_filter', 'advert_image.global_search_filter' ]
        openapiContext:
          summary: AdvertImage - List.
          description: >
            Retrieves a list of AdvertImage
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'activity_area:read'
            - 'advert_image:read'
            - 'media_file:read'

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: AdvertImage - Item.
          description: >
            Retrieves a item of AdvertImage
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'activity_area:read'
            - 'advert_image:read'
            - 'media_file:read'

      ApiPlatform\Metadata\Post:
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        openapiContext:
          summary: AdvertImage - Create.
          description: >
            create an item of AdvertImage
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'activity_area:read'
            - 'media_file:read'
            - 'advert_image:read'
        denormalizationContext:
          groups:
            - 'advert_image:write'
            - 'media_file:write'

      ApiPlatform\Metadata\Put:
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        openapiContext:
          summary: AdvertImage - Update.
          description: >
            update an item of AdvertImage
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'activity_area:read'
            - 'media_file:read'
            - 'advert_image:read'
        denormalizationContext:
          groups:
            - 'advert_image:write'
            - 'media_file:write'

      ApiPlatform\Metadata\Delete:
        openapiContext:
          summary: AdvertImage - Delete.
          description: >
            delete an item of AdvertImage
